Package org.eclipse.handly.ui.preference

## Class DualPreferenceStore

- java.lang.Object
- - org.eclipse.handly.ui.preference.DualPreferenceStore

- All Implemented Interfaces:
    `org.eclipse.jface.preference.IPreferenceStore`

      public class DualPreferenceStore
      extends java.lang.Object
      implements org.eclipse.jface.preference.IPreferenceStore

  A preference store that delegates reads and writes to separate stores.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore

      `BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DualPreferenceStore​(org.eclipse.jface.preference.IPreferenceStore readOnlyStore, org.eclipse.jface.preference.IPreferenceStore writableStore)` | Creates a new preference store that will delegate reads and writes to separate stores: one of them may be read-only and another must be writable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)` |
    `boolean` | `contains​(java.lang.String name)` |
    `void` | `firePropertyChangeEvent​(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)` |
    `boolean` | `getBoolean​(java.lang.String name)` |
    `boolean` | `getDefaultBoolean​(java.lang.String name)` |
    `double` | `getDefaultDouble​(java.lang.String name)` |
    `float` | `getDefaultFloat​(java.lang.String name)` |
    `int` | `getDefaultInt​(java.lang.String name)` |
    `long` | `getDefaultLong​(java.lang.String name)` |
    `java.lang.String` | `getDefaultString​(java.lang.String name)` |
    `double` | `getDouble​(java.lang.String name)` |
    `float` | `getFloat​(java.lang.String name)` |
    `int` | `getInt​(java.lang.String name)` |
    `long` | `getLong​(java.lang.String name)` |
    `java.lang.String` | `getString​(java.lang.String name)` |
    `boolean` | `isDefault​(java.lang.String name)` |
    `boolean` | `needsSaving()` |
    `void` | `putValue​(java.lang.String name, java.lang.String value)` |
    `void` | `removePropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)` |
    `void` | `setDefault​(java.lang.String name, boolean value)` |
    `void` | `setDefault​(java.lang.String name, double value)` |
    `void` | `setDefault​(java.lang.String name, float value)` |
    `void` | `setDefault​(java.lang.String name, int value)` |
    `void` | `setDefault​(java.lang.String name, long value)` |
    `void` | `setDefault​(java.lang.String name, java.lang.String value)` |
    `void` | `setToDefault​(java.lang.String name)` |
    `void` | `setValue​(java.lang.String name, boolean value)` |
    `void` | `setValue​(java.lang.String name, double value)` |
    `void` | `setValue​(java.lang.String name, float value)` |
    `void` | `setValue​(java.lang.String name, int value)` |
    `void` | `setValue​(java.lang.String name, long value)` |
    `void` | `setValue​(java.lang.String name, java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualPreferenceStore

          public DualPreferenceStore​(org.eclipse.jface.preference.IPreferenceStore readOnlyStore,
                                     org.eclipse.jface.preference.IPreferenceStore writableStore)

      Creates a new preference store that will delegate reads and writes to separate stores: one of them may be read-only and another must be writable.
      Parameters:
        `readOnlyStore` - the preference store to read from, usually a chained one (not `null`)
        `writableStore` - the preference store to write to, cannot be a chained one (not `null`)

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)

      Specified by:
        `addPropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### contains

          public boolean contains​(java.lang.String name)

      Specified by:
        `contains` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### firePropertyChangeEvent

          public void firePropertyChangeEvent​(java.lang.String name,
                                              java.lang.Object oldValue,
                                              java.lang.Object newValue)

      Specified by:
        `firePropertyChangeEvent` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getBoolean

          public boolean getBoolean​(java.lang.String name)

      Specified by:
        `getBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultBoolean

          public boolean getDefaultBoolean​(java.lang.String name)

      Specified by:
        `getDefaultBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultDouble

          public double getDefaultDouble​(java.lang.String name)

      Specified by:
        `getDefaultDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultFloat

          public float getDefaultFloat​(java.lang.String name)

      Specified by:
        `getDefaultFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultInt

          public int getDefaultInt​(java.lang.String name)

      Specified by:
        `getDefaultInt` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultLong

          public long getDefaultLong​(java.lang.String name)

      Specified by:
        `getDefaultLong` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDefaultString

          public java.lang.String getDefaultString​(java.lang.String name)

      Specified by:
        `getDefaultString` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getDouble

          public double getDouble​(java.lang.String name)

      Specified by:
        `getDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getFloat

          public float getFloat​(java.lang.String name)

      Specified by:
        `getFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getInt

          public int getInt​(java.lang.String name)

      Specified by:
        `getInt` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getLong

          public long getLong​(java.lang.String name)

      Specified by:
        `getLong` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### getString

          public java.lang.String getString​(java.lang.String name)

      Specified by:
        `getString` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### isDefault

          public boolean isDefault​(java.lang.String name)

      Specified by:
        `isDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### needsSaving

          public boolean needsSaving()

      Specified by:
        `needsSaving` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### putValue

          public void putValue​(java.lang.String name,
                               java.lang.String value)

      Specified by:
        `putValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)

      Specified by:
        `removePropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 double value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 float value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 int value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 long value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 java.lang.String value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setDefault

          public void setDefault​(java.lang.String name,
                                 boolean value)

      Specified by:
        `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setToDefault

          public void setToDefault​(java.lang.String name)

      Specified by:
        `setToDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               double value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               float value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               int value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               long value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               java.lang.String value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

    - #### setValue

          public void setValue​(java.lang.String name,
                               boolean value)

      Specified by:
        `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`